org.flexdock.dockbar.activation

## Class ActiveDockableHandler

- java.lang.Object
- - org.flexdock.dockbar.event.DockbarListener.Stub
  - - org.flexdock.dockbar.activation.ActiveDockableHandler

All Implemented Interfaces:
  java.util.EventListener, DockbarListener

    public class ActiveDockableHandler
    extends DockbarListener.Stub

Author:
  Christopher Butler TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.flexdock.dockbar.event.DockbarListener

`DockbarListener.Stub`

### Constructor Summary

Constructors
Constructor and Description
`ActiveDockableHandler()`

### Method Summary

Methods
`void` `dockableLocked(DockbarEvent evt)`
`void` `minimizeStarted(DockbarEvent evt)`

### Methods inherited from class org.flexdock.dockbar.event.DockbarListener.Stub

`dockableCollapsed, dockableExpanded, minimizeCompleted`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActiveDockableHandler

    public ActiveDockableHandler()

### Method Detail

#### dockableLocked

    public void dockableLocked(DockbarEvent evt)

Specified by:
  `dockableLocked` in interface `DockbarListener`
Overrides:
  `dockableLocked` in class `DockbarListener.Stub`

#### minimizeStarted

    public void minimizeStarted(DockbarEvent evt)

Specified by:
  `minimizeStarted` in interface `DockbarListener`
Overrides:
  `minimizeStarted` in class `DockbarListener.Stub`